exports.up = async (knex) => {
  await knex.schema.dropTable('user_payment');

  return knex.schema.alterTable("payment", (table) => {
    table.integer('user_id');
    table.foreign('user_id').references('id').inTable('user');
  });
};

exports.down = async (knex) => {
  await knex.schema.createTable('user_payment', (table) => {
    table.increments('id');
    table.timestamps(true, true);

    // example of how to do a foreign key to a table
    table.integer('user_id').notNullable();
    table.foreign('user_id').references('id').inTable('user');
    table.integer('payment_id').notNullable();
    table.foreign('payment_id').references('id').inTable('payment');
  })

  return knex.schema.alterTable("payment", (table) => {
    table.dropColumn('user_id');
  });
};
